import machine
import kooka
import time
import fonts


kooka.display.text(str('BUSH FIRE RISK'), int(15), int(15), int(1))
kooka.display.setfont(fonts.mono6x7)
kooka.display.text(str('Button C: LOW'), int(10), int(25), int(1))
kooka.display.text(str('Button D: MEDIUM'), int(10), int(35), int(1))
kooka.display.text(str('Button B: HIGH'), int(10), int(45), int(1))
kooka.display.setfont(fonts.mono6x7)
kooka.display.text(str('Button A to Exit'), int(10), int(55), int(1))

kooka.display.show()

_timer1000 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer1000) >= 0:
        _timer1000 += 1000
        if kooka.button_c.was_pressed():
            kooka.Servo("P1").angle(60)
            kooka.led_green.on()
            kooka.led_red.off()
            kooka.led_orange.off()
            kooka.display.fill(0)
            kooka.display.setfont(fonts.sans12)
            kooka.display.text(str('LOW'), int(40), int(40), int(1))
            kooka.display.show()
        if kooka.button_d.was_pressed():
            kooka.Servo("P1").angle(0)
            kooka.led_orange.on()
            kooka.led_green.off()
            kooka.led_red.off()
            kooka.display.fill(0)
            kooka.display.setfont(fonts.sans12)
            kooka.display.text(str('MEDIUM'), int(20), int(40), int(1))
            kooka.display.show()
        if kooka.button_b.was_pressed():
            kooka.Servo("P1").angle(-50)
            kooka.led_red.on()
            kooka.led_green.off()
            kooka.led_orange.off()
            kooka.display.fill(0)
            kooka.display.setfont(fonts.sans12)
            kooka.display.text(str('HIGH'), int(20), int(40), int(1))
            kooka.display.show()
    if kooka.button_a.was_pressed():
        kooka.display.fill(0)
        kooka.led_red.off()
        kooka.led_orange.off()
        kooka.led_green.off()
        kooka.display.show()
        raise SystemExit
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><block type="event_every_seconds" id="*N1%TybRE5F1kmoZ`8NW" x="-630" y="-2070"><field name="T">1</field><statement name="DO"><block type="controls_if" id="S,=+42ng5W0En0616pb%"><value name="IF0"><block type="button_was_pressed" id="eh0_LiViXaj%u%a]mavq"><field name="BUTTON">kooka.button_c.was_pressed()</field></block></value><statement name="DO0"><block type="servo_angle" id="q$UQ7y8`v7eLxJuDaZBT"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="Ika~i3l(eiD`1D](Rw=E"><field name="NUM">60</field></shadow></value><next><block type="led_on" id="xq6~AEK3.9.m_3B1K7@K"><field name="LED">led_green</field><next><block type="led_off" id="?SZ9:oorjo..nps2A=``"><field name="LED">led_red</field><next><block type="led_off" id="iXI#4cXcuz7a2]wOd2T2"><field name="LED">led_orange</field><next><block type="display_clear" id="+:cF.(xe{j!/?_?PRYHx"><next><block type="display_setfont" id="HQ[G[X=i00{^LSYH;q:H"><field name="FONT">sans12</field><next><block type="display_text" id=":=o?]zN~2=M-d,WtJE6/"><value name="VALUE"><shadow type="text" id="6)sSZ$yNF1:|;d4l=5bG"><field name="TEXT">LOW</field></shadow></value><value name="X"><shadow type="math_number" id="HXX4:xdT%Pd``[S6|qH4"><field name="NUM">40</field></shadow></value><value name="Y"><shadow type="math_number" id="0,O`u~iUZauA_*_GM)[^"><field name="NUM">40</field></shadow></value><value name="C"><shadow type="math_number" id="!LtjYpp[K/A2oqv%!sxf"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="4|#Bt-duh?K|q+(_P[,O"></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement><next><block type="controls_if" id="m)*@F#Vn0`sg]b;z|L6$"><value name="IF0"><block type="button_was_pressed" id="z!Yv7LMSp-Us!^vah#IC"><field name="BUTTON">kooka.button_d.was_pressed()</field></block></value><statement name="DO0"><block type="servo_angle" id="eO#(haTI22A;On%{gN(C"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="NSapeZ~.G%Yw3:KjOMnC"><field name="NUM">0</field></shadow></value><next><block type="led_on" id="~W1=!GK%|sK@C=C,Y#Zy"><field name="LED">led_orange</field><next><block type="led_off" id="6ZP~l@y;wL;MoSS$voIT"><field name="LED">led_green</field><next><block type="led_off" id="ouZeRJDO#TBb7mk6N@wX"><field name="LED">led_red</field><next><block type="display_clear" id="984`^=jbyW-(;8HZac2s"><next><block type="display_setfont" id="*F%;qnA)Y|]d:F}8:gyL"><field name="FONT">sans12</field><next><block type="display_text" id="|}|Y3e`_Zm]tt4#:aNnh"><value name="VALUE"><shadow type="text" id="@,-N,F4DBkVbDA[/8j6d"><field name="TEXT">MEDIUM</field></shadow></value><value name="X"><shadow type="math_number" id="#:Zg=Qn9=])!M%1VoTgL"><field name="NUM">20</field></shadow></value><value name="Y"><shadow type="math_number" id="W_IlSDq2dG0F8Yy5/to{"><field name="NUM">40</field></shadow></value><value name="C"><shadow type="math_number" id="ey6nQ!7p[4Nq@@Dw.`tC"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="HW*D%37K/q5N7{cE/0~u"></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement><next><block type="controls_if" id="n?Fn/i|O^ahBH/3^+kI:"><value name="IF0"><block type="button_was_pressed" id="|q;O{#b4JkbgL`g~Tx^7"><field name="BUTTON">kooka.button_b.was_pressed()</field></block></value><statement name="DO0"><block type="servo_angle" id="/|r.]?:H`[wtPiR5$D8}"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="l,}k~di1G5RM7Fv+.k@V"><field name="NUM">-50</field></shadow></value><next><block type="led_on" id="ZjuN@u!r3*0]C}a[#(s0"><field name="LED">led_red</field><next><block type="led_off" id="KSR`gNtB~@*Eu4`VqLe0"><field name="LED">led_green</field><next><block type="led_off" id="24p|,x/`yW!?=UW+{Dg*"><field name="LED">led_orange</field><next><block type="display_clear" id="[}@YQ@AjN5}{6_N{0qjR"><next><block type="display_setfont" id="E^2?O;2}Aj|_wv%s)-Nn"><field name="FONT">sans12</field><next><block type="display_text" id=",H1AiZ3PSB%$MKbl2WoJ"><value name="VALUE"><shadow type="text" id="6}M5sID+!vw2]RSWJ5:a"><field name="TEXT">HIGH</field></shadow></value><value name="X"><shadow type="math_number" id="Px#1y1usV)q$7Qc:,LNE"><field name="NUM">20</field></shadow></value><value name="Y"><shadow type="math_number" id="Z0A,F(^QxMDrqfcHOLh-"><field name="NUM">40</field></shadow></value><value name="C"><shadow type="math_number" id="(|~`Vo7v;bwGu8J=SI3,"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="I?OQ[0{S^f[w.tEa*rQp"></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></statement></block><block type="event_button_was_pressed" id="_lVFH+?oQ@48;^ZaJXk=" x="-990" y="-2050"><field name="BUTTON">kooka.button_a.was_pressed()</field><statement name="DO"><block type="display_clear" id="oh$B1j:}z^G(y6Rz;py{"><next><block type="led_off" id="1O;2{ViF7-{m}FjzRv:q"><field name="LED">led_red</field><next><block type="led_off" id="[Dcgwgf+JBF9Vl@q]3*3"><field name="LED">led_orange</field><next><block type="led_off" id="Fzi}PGcUaptJ8k%Z^hqG"><field name="LED">led_green</field><next><block type="display_show" id="%yJ6V]c7Zh$Ml|*VGp[N"><next><block type="exit_program" id="Qv!MqC@$`%KnI}m8jtW2"></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="display_text" id="y7nehwWoTs.W+~#=6xog" x="-990" y="-1810"><value name="VALUE"><shadow type="text" id="-u)NtI/LSw_2R9ozU;vw"><field name="TEXT">BUSH FIRE RISK</field></shadow></value><value name="X"><shadow type="math_number" id=",[R?AuWw#TtgzIOa1A_)"><field name="NUM">15</field></shadow></value><value name="Y"><shadow type="math_number" id="%{o}?:Wl0]5?H#`,C)#G"><field name="NUM">15</field></shadow></value><value name="C"><shadow type="math_number" id="8CupB7Gze[wZ}VEOmoH/"><field name="NUM">1</field></shadow></value><next><block type="display_setfont" id="ftBO,.On6,2NO]nmg24W"><field name="FONT">mono6x7</field><next><block type="display_text" id="vBy%B#r5xAkes#C!kn|9"><value name="VALUE"><shadow type="text" id="%7b(d,K5^%.aNs:IFpP/"><field name="TEXT">Button C: LOW</field></shadow></value><value name="X"><shadow type="math_number" id="!/TAiCYB|-Q6p?BxEtcu"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="Gd_VV?eM:s~9:1)Q?=,g"><field name="NUM">25</field></shadow></value><value name="C"><shadow type="math_number" id="OTD4+4)I%AW$30:/)I1|"><field name="NUM">1</field></shadow></value><next><block type="display_text" id="(F(Z+Rd~eQ_KAZnTg[eX"><value name="VALUE"><shadow type="text" id="K7QQL=lwKWoKIJQ`EcI`"><field name="TEXT">Button D: MEDIUM</field></shadow></value><value name="X"><shadow type="math_number" id="{vl3jhn%!]hy;W05ge~v"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="46o-~emnr6NR[BMtM/0)"><field name="NUM">35</field></shadow></value><value name="C"><shadow type="math_number" id=").vF2s@CPcMV5GgwGJtZ"><field name="NUM">1</field></shadow></value><next><block type="display_text" id="/_3z5%6,Sb=!Y%9WhmQc"><value name="VALUE"><shadow type="text" id="QbgLdj}U66|B*D]:J0;("><field name="TEXT">Button B: HIGH</field></shadow></value><value name="X"><shadow type="math_number" id="[oBQ2D`Nb0zJ?.bY]BH/"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="YQB4m;C~q7U`geL?hk]j"><field name="NUM">45</field></shadow></value><value name="C"><shadow type="math_number" id="by(}nA)GF,fGxamtK/Z0"><field name="NUM">1</field></shadow></value><next><block type="display_setfont" id="e-~[vn;@YP)e7W`L6BZ8"><field name="FONT">mono6x7</field><next><block type="display_text" id="sk([JPd(j;]-B)a@BImf"><value name="VALUE"><shadow type="text" id="q|=Vc0w|8qibDW56?DI~"><field name="TEXT">Button A to Exit</field></shadow></value><value name="X"><shadow type="math_number" id="T|=5x}/`sTCofczR~{FB"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="8s;YSh*+T(T{Q1DX3;-B"><field name="NUM">55</field></shadow></value><value name="C"><shadow type="math_number" id="h3?UO;))rAsDo+:;^ot4"><field name="NUM">1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></next></block></xml>
