import machine
import kooka
import time
from machine import Pin
import fonts

Temp = None
Temp2 = None

def onewire_ds18_read_temp(p):
    import onewire, ds18x20
    ds = ds18x20.DS18X20(onewire.OneWire(Pin(p, Pin.PULL_UP)))
    roms = ds.scan()
    if not roms: return -100
    ds.convert_temp()
    time.sleep(0.75)
    return ds.read_temp(roms[0])


_timer1000 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer1000) >= 0:
        _timer1000 += 1000
        kooka.display.fill(0)
        Temp = "{:4.1f}".format(onewire_ds18_read_temp("P2"))
        Temp2 = onewire_ds18_read_temp("P2")
        kooka.display.setfont(fonts.sans12)
        kooka.display.text(str(Temp), int(80), int(45), int(1))
        kooka.display.text(str('Temp'), int(10), int(45), int(1))
        kooka.display.setfont(fonts.mono6x7)
        kooka.display.text(str('Button A to exit'), int(10), int(60), int(1))
        kooka.display.show()
        if Temp2 <= 23:
            kooka.Servo("P1").angle(50)
            kooka.led_green.on()
            kooka.led_red.off()
            kooka.led_orange.off()
            kooka.display.setfont(fonts.mono8x13)
            kooka.display.text(str('LOW RISK'), int(35), int(20), int(1))
        if Temp2 >= 24 and Temp2 <= 25:
            kooka.Servo("P1").angle(0)
            kooka.led_orange.on()
            kooka.led_green.off()
            kooka.led_red.off()
            kooka.display.setfont(fonts.mono8x13)
            kooka.display.text(str('MEDIUM RISK'), int(25), int(20), int(1))
        if Temp2 > 25:
            kooka.Servo("P1").angle(-60)
            kooka.led_red.on()
            kooka.led_orange.off()
            kooka.led_green.off()
            kooka.display.setfont(fonts.mono8x13)
            kooka.display.text(str('HIGH RISK'), int(35), int(20), int(1))
    if kooka.button_a.is_pressed():
        kooka.display.fill(0)
        kooka.display.show()
        kooka.led_red.off()
        kooka.led_orange.off()
        kooka.led_green.off()
        raise SystemExit
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="GR.n=vMSG,oM9EgH_=7`">Temp</variable><variable id="D-zSr(#7scc#Wh.Ck0eS">Temp2</variable></variables><block type="event_every_seconds" id="az1CtnxprCQm]RG[_lip" x="-6370" y="-4770"><field name="T">1</field><statement name="DO"><block type="display_clear" id="pO~ygdLo:j%ynHdyfI`;"><next><block type="variables_set" id="S[#2Ywd2up(TrckN{WI6"><field name="VAR" id="GR.n=vMSG,oM9EgH_=7`">Temp</field><value name="VALUE"><block type="str_format_float" id="S4j;G}QQ]z|(9enGfryv"><field name="D">1</field><field name="W">4</field><value name="VALUE"><block type="onewire_ds18_read_temp" id="i6;~s_@MEORkbzU4-UE{"><field name="PIN">P2</field></block></value></block></value><next><block type="variables_set" id="ezWAIGe*eFaiXw(xdH]V"><field name="VAR" id="D-zSr(#7scc#Wh.Ck0eS">Temp2</field><value name="VALUE"><block type="onewire_ds18_read_temp" id="3^vW+#z74Sp;32.QxSU6"><field name="PIN">P2</field></block></value><next><block type="display_setfont" id="ZzmomuW!1xa)856mJCxW"><field name="FONT">sans12</field><next><block type="display_text" id="t)o+6.Im-=MNb_/iZt{="><value name="VALUE"><shadow type="text" id="zaJlhwz/02~xm{Q(E!@l"><field name="TEXT">Hello</field></shadow><block type="variables_get" id="~1bJtxf?9aNO^gRjfEaF"><field name="VAR" id="GR.n=vMSG,oM9EgH_=7`">Temp</field></block></value><value name="X"><shadow type="math_number" id="3}`|xOHB13k#P`;X~8sy"><field name="NUM">80</field></shadow></value><value name="Y"><shadow type="math_number" id="~Y2:gXu,++ru^8-yp7#4"><field name="NUM">45</field></shadow></value><value name="C"><shadow type="math_number" id=";41l)JU7Eph@vlgaTOV`"><field name="NUM">1</field></shadow></value><next><block type="display_text" id="CRRL;jj[Ci!bW0QAjF.:"><value name="VALUE"><shadow type="text" id="v?DW:jWse,K7q8:Q=.qP"><field name="TEXT">Temp</field></shadow></value><value name="X"><shadow type="math_number" id="i[$pN/)0BZ^jpIOLVu[/"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="++-%~A(09L3jJ8m{DM%H"><field name="NUM">45</field></shadow></value><value name="C"><shadow type="math_number" id="dDBlc7:7.:}T:UDq`vv,"><field name="NUM">1</field></shadow></value><next><block type="display_setfont" id="3JlX,E%xrT|^rjpUvltf"><field name="FONT">mono6x7</field><next><block type="display_text" id="lYr$adud;E^Fw3U2UQb,"><value name="VALUE"><shadow type="text" id="+,U0^gDqIn{SHX(ew$$o"><field name="TEXT">Button A to exit</field></shadow></value><value name="X"><shadow type="math_number" id="XSi?]H[.5w)B/l9Q-RG$"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="fI`q+QZN=Am|?QPb5svJ"><field name="NUM">60</field></shadow></value><value name="C"><shadow type="math_number" id="-qjIcW-rw6V2~OnZGv|A"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="|W5|D[?snoLc({mDtwRL"><next><block type="controls_if" id="10Os9FnkeH1V}Kk!{aW9"><value name="IF0"><block type="logic_compare" id="d?x0xELVM/EuuLAztd[%"><field name="OP">LTE</field><value name="A"><block type="variables_get" id="C-EowX2(2R;zxG{]Y||x"><field name="VAR" id="D-zSr(#7scc#Wh.Ck0eS">Temp2</field></block></value><value name="B"><block type="math_number" id="_ZFgZ?)Yc*)6$%F[OGNo"><field name="NUM">23</field></block></value></block></value><statement name="DO0"><block type="servo_angle" id="q$UQ7y8`v7eLxJuDaZBT"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="Ika~i3l(eiD`1D](Rw=E"><field name="NUM">50</field></shadow></value><next><block type="led_on" id="xq6~AEK3.9.m_3B1K7@K"><field name="LED">led_green</field><next><block type="led_off" id="?SZ9:oorjo..nps2A=``"><field name="LED">led_red</field><next><block type="led_off" id="iXI#4cXcuz7a2]wOd2T2"><field name="LED">led_orange</field><next><block type="display_setfont" id="HQ[G[X=i00{^LSYH;q:H"><field name="FONT">mono8x13</field><next><block type="display_text" id=":=o?]zN~2=M-d,WtJE6/"><value name="VALUE"><shadow type="text" id="6)sSZ$yNF1:|;d4l=5bG"><field name="TEXT">LOW RISK</field></shadow></value><value name="X"><shadow type="math_number" id="HXX4:xdT%Pd``[S6|qH4"><field name="NUM">35</field></shadow></value><value name="Y"><shadow type="math_number" id="0,O`u~iUZauA_*_GM)[^"><field name="NUM">20</field></shadow></value><value name="C"><shadow type="math_number" id="!LtjYpp[K/A2oqv%!sxf"><field name="NUM">1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement><next><block type="controls_if" id="Jq6hWpCHjrH|DGWw=p!Y"><value name="IF0"><block type="logic_operation" id="W=~2,6g!(.g;.PU^s#a8"><field name="OP">AND</field><value name="A"><block type="logic_compare" id="gtv|L(F#LPVbFyWfo9L^"><field name="OP">GTE</field><value name="A"><block type="variables_get" id="1fa9iI~2[~4kLClwA([G"><field name="VAR" id="D-zSr(#7scc#Wh.Ck0eS">Temp2</field></block></value><value name="B"><block type="math_number" id="%?WekyQm4Gswz*R}gj]x"><field name="NUM">24</field></block></value></block></value><value name="B"><block type="logic_compare" id="GQtQy=zE1bqmynON*+ow"><field name="OP">LTE</field><value name="A"><block type="variables_get" id="qT#EaEq=aPVCd1${6(F="><field name="VAR" id="D-zSr(#7scc#Wh.Ck0eS">Temp2</field></block></value><value name="B"><block type="math_number" id="{Y0R*wdv5Jf;GQxmn(,K"><field name="NUM">25</field></block></value></block></value></block></value><statement name="DO0"><block type="servo_angle" id="eO#(haTI22A;On%{gN(C"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="NSapeZ~.G%Yw3:KjOMnC"><field name="NUM">0</field></shadow></value><next><block type="led_on" id="~W1=!GK%|sK@C=C,Y#Zy"><field name="LED">led_orange</field><next><block type="led_off" id="6ZP~l@y;wL;MoSS$voIT"><field name="LED">led_green</field><next><block type="led_off" id="ouZeRJDO#TBb7mk6N@wX"><field name="LED">led_red</field><next><block type="display_setfont" id="*F%;qnA)Y|]d:F}8:gyL"><field name="FONT">mono8x13</field><next><block type="display_text" id="|}|Y3e`_Zm]tt4#:aNnh"><value name="VALUE"><shadow type="text" id="@,-N,F4DBkVbDA[/8j6d"><field name="TEXT">MEDIUM RISK</field></shadow></value><value name="X"><shadow type="math_number" id="#:Zg=Qn9=])!M%1VoTgL"><field name="NUM">25</field></shadow></value><value name="Y"><shadow type="math_number" id="W_IlSDq2dG0F8Yy5/to{"><field name="NUM">20</field></shadow></value><value name="C"><shadow type="math_number" id="ey6nQ!7p[4Nq@@Dw.`tC"><field name="NUM">1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement><next><block type="controls_if" id="=/2|a#K.4,g?WG{Ao|N="><value name="IF0"><block type="logic_compare" id="yG.GixRtR8:sxJ^NxkFU"><field name="OP">GT</field><value name="A"><block type="variables_get" id="4a*]6,)fonRpBGK$YkRX"><field name="VAR" id="D-zSr(#7scc#Wh.Ck0eS">Temp2</field></block></value><value name="B"><block type="math_number" id="c#$/-1Nxx|b4BI]];/V)"><field name="NUM">25</field></block></value></block></value><statement name="DO0"><block type="servo_angle" id="/|r.]?:H`[wtPiR5$D8}"><field name="PIN">P1</field><value name="ANGLE"><shadow type="math_number" id="l,}k~di1G5RM7Fv+.k@V"><field name="NUM">-60</field></shadow></value><next><block type="led_on" id="ZjuN@u!r3*0]C}a[#(s0"><field name="LED">led_red</field><next><block type="led_off" id="24p|,x/`yW!?=UW+{Dg*"><field name="LED">led_orange</field><next><block type="led_off" id="o`b)F4]L]|2*rYDi7qm/"><field name="LED">led_green</field><next><block type="display_setfont" id="E^2?O;2}Aj|_wv%s)-Nn"><field name="FONT">mono8x13</field><next><block type="display_text" id=",H1AiZ3PSB%$MKbl2WoJ"><value name="VALUE"><shadow type="text" id="6}M5sID+!vw2]RSWJ5:a"><field name="TEXT">HIGH RISK</field></shadow></value><value name="X"><shadow type="math_number" id="Px#1y1usV)q$7Qc:,LNE"><field name="NUM">35</field></shadow></value><value name="Y"><shadow type="math_number" id="Z0A,F(^QxMDrqfcHOLh-"><field name="NUM">20</field></shadow></value><value name="C"><shadow type="math_number" id="(|~`Vo7v;bwGu8J=SI3,"><field name="NUM">1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block><block type="event_button_is_pressed" id="Fu?xje)[Ps.qncD9f3Vq" x="-6790" y="-4650"><field name="BUTTON">kooka.button_a.is_pressed()</field><statement name="DO"><block type="display_clear" id="[.3lwus^o%7YZRg@++fw"><next><block type="display_show" id="*oEq;IGJ]K$MSC8?F+,R"><next><block type="led_off" id="TJr2Vwqm##B1Cx%YBi~~"><field name="LED">led_red</field><next><block type="led_off" id="7~rHNLGj3([b3?w$X_.q"><field name="LED">led_orange</field><next><block type="led_off" id="2B8qlc[J3enR_eh*3gm5"><field name="LED">led_green</field><next><block type="exit_program" id="b#xJ~P+I%*/?B}7nz@P}"></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml>
